// ID:编号, Item:道具, Count:数量, Weight:权重

export default class M_LuckTurnCFG {
  private static data =
      {"1":{"ID":1,"Item":26,"Count":1,"Weight":1}

      ,"2":{"ID":2,"Item":1,"Count":30000,"Weight":220}

      ,"3":{"ID":3,"Item":41,"Count":1,"Weight":100}

      ,"4":{"ID":4,"Item":16,"Count":30,"Weight":190}

      ,"5":{"ID":5,"Item":25,"Count":1,"Weight":19}

      ,"6":{"ID":6,"Item":8,"Count":15,"Weight":100}

      ,"7":{"ID":7,"Item":1,"Count":50000,"Weight":80}

      ,"8":{"ID":8,"Item":24,"Count":1,"Weight":40}

      ,"9":{"ID":9,"Item":1,"Count":10000,"Weight":150}

      ,"10":{"ID":10,"Item":5,"Count":15,"Weight":100}

      }// ID:编号, Item:道具, Count:数量, Weight:权重


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}